%define name smeserver-mod_python
%define version 0.1
%define release 1

Summary: SME Server mod_python implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tgz
BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-release >= 7 
Requires: httpd >= 2
Requires: mod_python
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

%description
Implementation of mod_python for SME Server 7.

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Mon Mar 26 2007 Marco Hess <marco.hess@through-ip.com>
- 0.1-0
- Original version adopted from smeserver-mod_dav

%prep

%setup

%build
DEFAULTS=root/etc/e-smith/db/configuration/defaults/modPython
mkdir -p $DEFAULTS
echo "service"  > $DEFAULTS/type
echo "enabled"  > $DEFAULTS/status

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
/etc/e-smith/events/actions/initialize-default-databases
/etc/e-smith/events/actions/navigation-conf
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sigusr1

%postun
/sbin/e-smith/db configuration delete modPython
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/e-smith/events/actions/navigation-conf
/etc/rc7.d/S86httpd-e-smith sigusr1

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
